Subject: Re: bug#32796: please consider using renameat2 from glibc if available

From: Paul Eggert <[email-masked]>
Date: Sun, 7 Oct 2018 13:21:12 -0700

Johannes Schauer wrote:
> Which test result would you like to see?
> 
> I have coreutils with that patch running on my system and in the chroot and mv
> seems to be working fine as far as I can see.

The strace results you sent were of the old code and the new code, apparently 
running in a chrooted environment. I'd like to see what happens if the test is 
run in a non-chrooted environment; just the basic environment that people get 
when they log into a traditional GNU/Linux setup.